org.apache.lucene.index

## Class ConcurrentMergeScheduler.MergeThread

- java.lang.Object
- - java.lang.Thread
  - - org.apache.lucene.index.ConcurrentMergeScheduler.MergeThread

- All Implemented Interfaces:
    Comparable<ConcurrentMergeScheduler.MergeThread>, Runnable
  Enclosing class:
    ConcurrentMergeScheduler

      protected class ConcurrentMergeScheduler.MergeThread
      extends Thread
      implements Comparable<ConcurrentMergeScheduler.MergeThread>

  Runs a merge thread to execute a single merge, then exits.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergeThread(IndexWriter writer, MergePolicy.OneMerge merge)` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ConcurrentMergeScheduler.MergeThread other)`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MergeThread

          public MergeThread(IndexWriter writer,
                             MergePolicy.OneMerge merge)

      Sole constructor.

  - ### Method Detail

    - #### compareTo

          public int compareTo(ConcurrentMergeScheduler.MergeThread other)

      Specified by:
        `compareTo` in interface `Comparable<ConcurrentMergeScheduler.MergeThread>`

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.